.mod-notification-center
  position: relative

  &.open
    .container
      display: block

  .empty-state
    color: $color-grey-text
    line-height: 150%
    padding: 50px
    text-align: center

    a
      text-decoration: underline

  &[data-unread-count="0"]
    .unread-count,
    .mark-all-as-read
      display: none

  .indicator
    cursor: pointer
    padding: 0 15px
    position: relative

    &:after
      +icon
      +icon-bell
      font-size: 18px

  .unread-count
    color: white
    background-color: $color-red
    border-radius: 50%
    display: inline-block
    font-size: 10px
    left: 15px
    line-height: normal
    padding: 0 4px
    position: absolute
    top: 10px

  .notifications-top
    +display(flex)
    border-bottom: 1px $color-grey-border solid
    padding: 5px 20px

  .mark-all-as-read
    color: $color-grey-text
    font-size: 12px
    text-decoration: underline
    font-family: $font-family-body

  .container
    +transform(translate(-50%, -3px))
    background-color: #fff
    border: 1px $color-grey-border solid
    box-shadow: 0px 2px 5px 0px $color-grey-border
    color: $color-black
    display: none
    left: 50%
    line-height: normal
    position: absolute
    width: 350px
    z-index: 2

    &:before,
    &:after
      +transform(translate(-50%, 0))
      content: ''
      left: 50%
      position: absolute


    &:before
      +triangle(24px, $color-grey-border, up)
      top: -12px

    &:after
      +triangle(22px, #fff, up)
      top: -11px

  .title
    +flex-grow(1)
    font-size: 16px
    line-height: 40px
    margin: 0

  .notifications
    max-height: 455px
    overflow-y: scroll
    -webkit-overflow-scrolling: touch

    li
      width: 100%
      word-wrap: break-word

  .notification
    max-height: 400px
    overflow: auto
    color: $color-grey-text
    display: block
    padding: 15px 35px 15px 60px
    position: relative
    font-family: $font-family-body

    &:before
      +icon
      +transform(translate(0, -50%))
      font-size: 25px
      left: 20px
      position: absolute
      top: 50%

    &.job-aborted,
    &.job-cancelled,
    &.print-aborted
      &:before
        +icon-circle-cross

    &.print-started
      &:before
        +icon-start

    &.print-finished
      &:before
        +icon-circle-check

    &.printer-blocked-for-repairs
      &:before
        +icon-blocked

    &.unread
      background-color: lighten($color-blue, 50%)

      .body
        color: $color-black

      &:before
        color: $color-blue

      &:after
        +size(10px)
        +transform(translate(0, -50%))
        background-color: $color-blue
        border-radius: 50%
        content: ''
        position: absolute
        right: 20px
        top: 50%

    &:not(:last-child)
      border-bottom: 1px $color-grey-border solid

    a:hover
      text-decoration: none

    .body
      line-height: 170%
      margin-bottom: 5px

    .time
      font-size: 10px
